package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * 门户菜单管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "DirectoryInfoVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class DirectoryInfoVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 父级id。
     */
    @Schema(description = "父级id")
    private Long parentId;

    /**
     * 菜单名称。
     */
    @Schema(description = "菜单名称")
    private String menuName;

    /**
     * 显示顺序。
     */
    @Schema(description = "显示顺序")
    private Integer showOrder;

    /**
     * 是否启用。
     */
    @Schema(description = "是否启用，0禁用，1启用")
    private Integer enable;

    /**
     * 菜单类型。
     */
    @Schema(description = "菜单类型：1：旅游，2：劳务")
    private Integer directoryType;

    /**
     * parentId 字典关联数据。
     */
    @Schema(description = "parentId 字典关联数据")
    private Map<String, Object> parentIdDictMap;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;

    /**
     * directoryType 常量字典关联数据。
     */
    @Schema(description = "directoryType 常量字典关联数据")
    private Map<String, Object> directoryTypeDictMap;
}
