package com.tourism.webadmin.upms.service;

import com.tourism.common.core.base.service.IBaseService;
import com.tourism.common.core.object.CallResult;
import com.tourism.webadmin.upms.model.SysUser;
import com.tourism.webadmin.upms.model.SysUserWeb;

import java.util.List;
import java.util.Set;

/**
 * 用户管理数据操作服务接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface SysUserWebService extends IBaseService<SysUserWeb, Long> {

    /**
     * 获取指定登录名的用户对象。
     *
     * @param loginName 指定登录用户名。
     * @return 用户对象。
     */
    SysUserWeb getSysUserByLoginName(String loginName);


    SysUserWeb getSysUserByMobile(String mobile);

    /**
     * 保存新增的用户对象。
     *
     * @param user          新增的用户对象。
     * @return 新增后的用户对象。
     */
    SysUserWeb saveNew(SysUserWeb user);
    /**
     * 修改用户密码。
     * @param userId  用户主键Id。
     * @param newPass 新密码。
     * @return 成功返回true，否则false。
     */
    boolean changePassword(Long userId, String newPass);
}
