package com.tourism.common.qcloud.cos.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * common-qcloud-cos模块的配置类。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@ConfigurationProperties(prefix = "qcloud.cos")
public class QcloudCosProperties {

    /**
     * 访问安全的key。
     */
    private String accessKey;
    /**
     * 访问安全的密钥。
     */
    private String secretKey;
    /**
     * 存储桶所在区域。
     */
    private String region;
    /**
     * 缺省桶名称。
     */
    private String bucketName;
    /**
     * URL的过期时间，单位(秒)。
     */
    private Integer expireSeconds = 3600;
}
